## Script (Python) "getClouds"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Return a sequence of blog/cloud dictionaries
##

#result format:
# (["blog": blog1, "cloud":cloud1], ["blog": blog2, "cloud":cloud2], ... )

result=()

#Get all the Weblogs in the instance
blogs=context.portal_catalog.searchResults( sort_on='id', meta_type='Weblog')

#For each blog, get the cloud. If something in the cloud, add to result
for blog in blogs:
    blog=blog.getObject()
    cloud=blog.getCloud()
    if cloud:
        result+=({"weblog": blog, "cloud": cloud},)
  
return result
