## Script (Python) "getComments"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=weblog, author=None, subject=None, text=None
##title=Provide comment management functionality
##

from Products.CMFCore.utils import getToolByName

portal_catalog = getToolByName(context,'portal_catalog')

contentFilter = {
    'portal_type' : 'Discussion Item', 
    'sort_on' : 'created', 
    'sort_order' : 'reverse',
}

if author is not None:
    contentFilter['Creator'] = author
if subject is not None:
    contentFilter['Title'] = subject
if text is not None:
    contentFilter['text'] = text
    
comment_brains = portal_catalog(contentFilter)
return [brain.getObject() for brain in comment_brains]
    
