"""
$Id: test_weblogtopic.py 12275 2005-09-24 23:36:55Z tim2p $
"""

import os, sys
if __name__ == "__main__":
    execfile(os.path.join(sys.path[0], "framework.py"))

from Testing import ZopeTestCase
from Products.Quills.tests import QuillsTestCase

from Products.Quills import config


class TestWeblogTopic(QuillsTestCase.QuillsTestCase):

    def afterSetUp(self):
        self.setRoles(["Manager"])
        self.folder.invokeFactory("Weblog", id="weblog", title="Test Weblog")
        self.weblog = getattr(self.folder, "weblog")

    def testTopic(self):
        self.failUnless(len(self.weblog.getTopics()) == 0)
        # Lots of this testing now found in test_quills.TestWeblog.testGetTopics


def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestWeblogTopic))
    return suite

if __name__ == '__main__':
    framework()
