#
# Authors: Brian Skahan <bskahan@etria.com>
#          Tom von Schwerdtner <tvon@etria.com>
#
# Copyright 2004-2005, Etria, LLP
#
# This file is part of Quills
#
# Quills is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Quills is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Quills; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##############################################################################
"""Handlers for migration scripts."""

from Products.Quills.migrations import quills08to09
from Products.Quills.migrations import quills09to15
from StringIO import StringIO

def migrate08to09(self):
    out = StringIO()
    migration = quills08to09.Migration(site=self,
                                       out=out)
    migration.migrate()
    return out.getvalue()

def migrate09to15(self):
    out = StringIO()
    migration = quills09to15.Migration(site=self,
                                       out=out)
    migration.migrate()
    return out.getvalue()


