# zope 3 imports
from zope.interface import implements

# zope 2 imports
import zLOG

# Five imports
from Products.Five.browser import BrowserView

# Product imports
from Products.plonetrackback.interfaces import ITrackbackOutManager
from Products.plonetrackback.config import PROJECTNAME

# Standard library imports
import urllib, urllib2


class TrackbackOutManagerView(BrowserView):

    def __init__(self, context, request):
        self.tbom = ITrackbackOutManager(context)
        return super(TrackbackOutManagerView, self).__init__(context, request)

    def editTrackbacks(self, unpinged_urls=None):
        """
        """
        if unpinged_urls is None:
            unpinged_urls = self.request.get('unpinged_urls', None)
        if unpinged_urls is not None:
            self.tbom.setURLsToPing(unpinged_urls)
        self.request.RESPONSE.redirect( self.request['HTTP_REFERER'] )

    def getEditURL(self):
        """Returns the URL that exposes the self.editTrackbacks method for context.
        """
        # XXX Fix me!
        # Should probably ask the component architecture the name of the view
        # providing ITrackbackManager for context - if that's possible.
        return '%s/editTrackbacks' % self.context.absolute_url()

    def getTrackbackOutManager(self):
        """Returns the ITrackbackOutManager for context.
        Hung here to make it easy to get hold of with TTW code.
        """
        return self.tbom

    def sendTrackbacks(self, unpinged_urls=None):
        """XXX Fill me in.
        """
        stored_unpinged_urls = self.tbom.getURLsToPing()
        unpinged_urls = list(unpinged_urls)
        # Sort the two lists to make sure the comparison works correctly
        stored_unpinged_urls.sort()
        unpinged_urls.sort()
        if stored_unpinged_urls != unpinged_urls:
            self.tbom.setURLsToPing(unpinged_urls)
        self.tbom.sendTrackbacks()
        self.request.RESPONSE.redirect( self.request['HTTP_REFERER'] )

    def getURLsToPingAsLines(self):
        """
        """
        return '\n'.join(self.tbom.getURLsToPing())
