import os, sys
if __name__ == "__main__":
    execfile(os.path.join(sys.path[0], "framework.py"))

from Testing import ZopeTestCase

from Products.plonetrackback.tests import PloneTrackbackTestCase
from Products.plonetrackback.data import checkTrackback
from Products.plonetrackback.trackback import Trackback
from Products.plonetrackback.errors import BlacklistedURL


GOOD_URLS = ['http://tim.hicks.me.uk/blog/',]
BAD_URLS  = ['http://penis.enlargement.com/',]


class TestBlacklist(PloneTrackbackTestCase.PloneTrackbackTestCase):

    def testGoodURLs(self):
        for url in GOOD_URLS:
            tb = Trackback(url=url)
            self.failUnless(checkTrackback(tb) == None)

    def testBadURLs(self):
        for url in BAD_URLS:
            try:
                tb = Trackback(url=url)
                checkTrackback(tb)
                self.failUnless(False)
            except BlacklistedURL:
                # This should be thrown by checkTrackback
                pass


def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestBlacklist))
    return suite

if __name__ == '__main__':
    framework()
